com.informix.jdbcx

## Class IfxCoreDataSource

- java.lang.Object
- - com.informix.jdbcx.IfxCoreDataSource

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  IfxConnectionPoolDataSource, IfxDataSource, IfxXADataSource

    public abstract class IfxCoreDataSource
    extends java.lang.Object
    implements java.io.Serializable

IfxCoreDataSource class is the abstract class from which IfxDataSource and IfxConnectionPoolDataSource are extended.

See Also:
  `DataSource`, Serialized Form

### Field Summary

Fields
`protected static java.util.Properties` `defProp`

### Constructor Summary

Constructors
Constructor and Description
`IfxCoreDataSource()` Constructor allocates an empty (i.e., no properties set) IfxCoreDataSource object.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addProp(java.lang.String key, java.lang.Object value)` Adds a property to the property list.
`java.lang.String` `getDatabaseName()` Gets the database name set for the DataSource.
`java.lang.String` `getDataSourceName()` Gets the DataSource name.
`java.lang.String` `getDescription()` Gets the description of the DataSource.
`java.util.Properties` `getDsProperties()` Returns the Properties objects in the CoreDataSource.
`java.lang.String` `getIfxALLOWREGISTEROUTFORINPARAM()` Gets the value of Informix specific variable ALLOWREGISTEROUTFORINPARAM.
`java.lang.String` `getIfxAPPENDISAM()` Gets the value of Informix specific variable APPENDISAM
`int` `getIfxBIG_FET_BUF_SIZE()` Gets the value of Informix specific variable BIG_FET_BUF_SIZE
`java.lang.String` `getIfxCLIENT_LOCALE()` Gets the value of Informix specific variable CLIENT_LOCALE.
`java.lang.String` `getIfxCSM()` Gets the value of Informix specific variable CSM.
`java.lang.String` `getIfxDB_LOCALE()` Gets the value of Informix specific variable DBLOCALE.
`java.lang.String` `getIfxDBCENTURY()` Gets the value of Informix specific variable DBCENTURY.
`java.lang.String` `getIfxDBDATE()` Gets the value of Informix specific variable DBDATE.
`java.lang.String` `getIfxDBSPACETEMP()` Gets the value of Informix specific variable DBSPACETEMP.
`java.lang.String` `getIfxDBTEMP()` Gets the value of Informix specific variable DBTEMP.
`java.lang.String` `getIfxDBTIME()` Gets the value of Informix specific variable DBTIME.
`java.lang.String` `getIfxDBUPSPACE()` Gets the value of Informix specific variable DBUPSPACE.
`boolean` `getIfxENABLE_HDRSWITCH()` Gets the value of Informix specific variable ENABLE_HDRSWITCH.
`int` `getIfxFET_BUF_SIZE()` Gets the value of Informix specific variable FET_BUF_SIZE
`java.lang.String` `getIfxGL_DATE()` Gets the value of Informix specific variable GL_DATE.
`java.lang.String` `getIfxGL_DATETIME()` Gets the value of Informix specific variable GL_DATETIME.
`int` `getIfxIFX_BATCHUPDATE_PER_SPEC()` Gets the value of Informix specific variable IFX_BATCHUPDATE_PER_SPEC.
`int` `getIfxIFX_CODESETLOB()` Gets the value of Informix specific variable IFX_CODESETLOB.
`java.lang.String` `getIfxIFX_DIRECTIVES()` Gets the value of Informix specific variable IFX_DIRECTIVES.
`java.lang.String` `getIfxIFX_EXTDIRECTIVES()` Gets the value of Informix specific variable IFX_EXTDIRECTIVES.
`int` `getIfxIFX_FLAT_UCSQ()` Gets the value of Informix specific variable IFX_FLAT_UCSQ.
`int` `getIfxIFX_GET_SMFLOAT_AS_FLOAT()` Gets the value of Informix specific variable IFX_GET_SMFLOAT_AS_FLOAT.
`java.lang.String` `getIfxIFX_ISOLATION_LEVEL()` Gets the value of Informix specific variable IFX_ISOLATION_LEVEL.
`int` `getIfxIFX_LO_READONLY()` Gets the value of Informix specific variable IFX_LO_READONLY.
`int` `getIfxIFX_LOCK_MODE_WAIT()` Gets the value of Informix specific variable IFX_LOCK_MODE_WAIT.
`java.lang.String` `getIfxIFX_PAD_VARCHAR()` Gets the value of Informix specific variable IFX_PAD_VARCHAR.
`int` `getIfxIFX_SET_FLOAT_AS_SMFLOAT()` Gets the value of Informix specific variable IFX_SET_FLOAT_AS_SMFLOAT.
`boolean` `getIfxIFX_SOC_KEEPALIVE()`
`int` `getIfxIFX_SOC_TIMEOUT()`
`int` `getIfxIFX_TRIMTRAILINGSPACES()` Gets the value of Informix specific variable IFX_TRIMTRAILINGSPACES.
`boolean` `getIfxIFX_USE_STRENC()`
`java.lang.String` `getIfxIFXHOST_SECONDARY()` Gets the value of Informix specific variable IFXHOST_SECONDARY.
`java.lang.String` `getIfxIFXHOST()` Gets the value of Informix specific variable IFXHOST.
`int` `getIfxINFORMIXCONRETRY()` Gets the value of Informix specific variable INFORMIXCONRETRY.
`int` `getIfxINFORMIXCONTIME()` Gets the value of Informix specific variable INFORMIXCONTIME.
`java.lang.String` `getIfxINFORMIXOPCACHE()` Gets the value of Informix specific variable INFORMIXOPCACHE.
`java.lang.String` `getIfxINFORMIXSERVER_SECONDARY()` Gets the value of Informix specific variable INFORMIXSERVER_SECONDARY.
`int` `getIfxINFORMIXSTACKSIZE()` Gets the value of Informix specific variable INFORMIXSTACKSIZE.
`java.lang.String` `getIfxJDBCTEMP()` Gets the value of Informix specific variable JDBCTEMP.
`int` `getIfxLOBCACHE()` Gets the value of Informix specific variable LOBCACHE.
`java.lang.String` `getIfxNEWCODESET()` Gets the value of Informix specific variable NEWCODESET.
`java.lang.String` `getIfxNEWLOCALE()` Gets the value of Informix specific variable NEWLOCALE.
`java.lang.String` `getIfxNEWNLSMAP()` Gets the value of Informix specific variable NEWNLSMAP.
`java.lang.String` `getIfxNODEFDAC()` Gets the value of Informix specific variable NODEFDAC.
`java.lang.String` `getIfxOPT_GOAL()` Gets the value of Informix specific variable OPT_GOAL.
`java.lang.String` `getIfxOPTCOMPIND()` Gets the value of Informix specific variable OPTCOMPIND.
`java.lang.String` `getIfxOPTOFC()` Gets the value of Informix specific variable OPTOFC.
`java.lang.String` `getIfxPATH()` Gets the value of Informix specific variable PATH.
`java.lang.String` `getIfxPDQPRIORITY()` Gets the value of Informix specific variable PDQPRIORITY.
`java.lang.String` `getIfxPLCONFIG()` Gets the value of Informix specific variable PLCONFIG.
`java.lang.String` `getIfxPLOAD_LO_PATH()` Gets the value of Informix specific variable PLOAD_LO_PATH.
`int` `getIfxPORTNO_SECONDARY()` Gets the value of Informix specific variable IFXPORTNO_SECONDARY.
`int` `getIfxPROTOCOLTRACE()` Gets the value of Informix specific variable PROTOCOLTRACE.
`java.lang.String` `getIfxPROTOCOLTRACEFILE()` Gets the value of Informix specific variable PROTOCOLTRACEFILE.
`java.lang.String` `getIfxPROXY()` Gets the value of Informix specific variable PROXY.
`java.lang.String` `getIfxPSORT_DBTEMP()` Gets the value of Informix specific variable PSORT_DBTEMP.
`java.lang.String` `getIfxPSORT_NPROCS()` Gets the value of Informix specific variable PSORT_NPROCS.
`java.lang.String` `getIfxSECURITY()` Gets the value of Informix specific variable SECURITY.
`java.lang.String` `getIfxSQLH_FILE()` Gets the value of Informix specific variable SQLH_FILE.
`java.lang.String` `getIfxSQLH_LOC()` Gets the value of Informix specific variable SQLH_LOC.
`java.lang.String` `getIfxSQLH_TYPE()` Gets the value of Informix specific variable SQLH_TYPE.
`java.lang.String` `getIfxSQLIDEBUG()` Gets the value of Informix specific variable SQLIDEBUG.
`java.lang.String` `getIfxSSL_PROTOCOLS()` Returns the list of user provided protocols
`java.lang.String` `getIfxSSLCONNECTION()` Gets the value of Informix specific variable SSLCONNECTION.
`java.lang.String` `getIfxSTMT_CACHE()` Gets the value of Informix specific variable STMT_CACHE.
`int` `getIfxTRACE()` Gets the value of Informix specific variable TRACE.
`java.lang.String` `getIfxTRACEFILE()` Gets the value of Informix specific variable TRACEFILE.
`java.lang.String` `getIfxTRUSTED_CONTEXT()` Gets the value of Informix specific variable TRUSTED_CONTEXT
`int` `getLoginTimeout()` Get the login timeout.
`java.io.PrintWriter` `getLogWriter()` Gets the logwriter for the DataSource.
`java.lang.String` `getPassword()` Gets the password for the DataSource.
`int` `getPortNumber()` Gets the port number for the DataSource.
`java.lang.Object` `getProp(java.lang.String key)` Get the value of a property from the property list.
`java.lang.String` `getRoleName()` Gets the role name.
`java.lang.String` `getServerName()` Gets the server name.
`java.lang.String` `getUser()` Gets the user id.
`boolean` `isIfxDBANSIWARN()` Gets the value of Informix specific variable DBANSIWARN.
`boolean` `isIfxDELIMIDENT()` Gets the value of Informix specific variable DELIMIDENT.
`boolean` `isIfxENABLE_TYPE_CACHE()` Gets the value of Informix specific variable ENABLE_TYPE_CACHE.
`boolean` `isIfxIFX_AUTOFREE()` Gets the value of Informix specific variable IFX_AUTOFREE.
`boolean` `isIfxIFX_USEPUT()` Gets the value of Informix specific variable IFX_USEPUT.
`boolean` `isIfxOPTOFC()` returns true if OPTOFC=1, false otherwise.
`boolean` `isIfxUSE_DTENV()` Gets the value of Informix specific variable USE_DTENV.
`boolean` `isIfxUSEV5SERVER()` Gets the value of Informix specific variable USEV5SERVER.
`void` `readProperties(java.io.InputStream in)` Reads the properties from an input stream
`void` `removeProperty(java.lang.String key)` Removes the property from the DataSource property list
`void` `setDatabaseName(java.lang.String dbName)` Sets the database name.
`void` `setDataSourceName(java.lang.String dsName)` Sets the DataSource name.
`void` `setDescription(java.lang.String descrip)` Sets the description of the DataSource.
`void` `setIfxALLOWREGISTEROUTFORINPARAM(java.lang.String ALLOWOUT_Flag)` Sets the value of Informix specific variable ALLOWREGISTEROUTFORINPARAM.
`void` `setIfxAPPENDISAM(java.lang.String toSet)` Sets the value of Informix specific variable APPENDISAM
`void` `setIfxBIG_FET_BUF_SIZE(int fetbufsize)` Sets the value of Informix specific variable BIG_FET_BUF_SIZE.
`void` `setIfxCLIENT_LOCALE(java.lang.String client_locale)` Sets the value of Informix specific variable CLIENT_LOCALE.
`void` `setIfxCSM(java.lang.String csm)` Sets the value of Informix specific variable CSM.
`void` `setIfxDB_LOCALE(java.lang.String dblocale)` Sets the value of Informix specific variable DBLOCALE.
`void` `setIfxDBANSIWARN(boolean dbansiwarn)` Sets the value of Informix specific variable DBANSIWARN.
`void` `setIfxDBCENTURY(java.lang.String dbcentury)` Sets the value of Informix specific variable DBCENTURY.
`void` `setIfxDBDATE(java.lang.String dbdate)` Sets the value of Informix specific variable DBDATE.
`void` `setIfxDBSPACETEMP(java.lang.String dbspacetemp)` Sets the value of Informix specific variable DBSPACETEMP.
`void` `setIfxDBTEMP(java.lang.String dbtemp)` Sets the value of Informix specific variable DBTEMP.
`void` `setIfxDBTIME(java.lang.String dbtime)` Sets the value of Informix specific variable DBTIME.
`void` `setIfxDBUPSPACE(java.lang.String dbupspace)` Sets the value of Informix specific variable DBUPSPACE.
`void` `setIfxDELIMIDENT(boolean delimident)` Sets the value of Informix specific variable DELIMIDENT.
`void` `setIfxDirectConnection()` Makes this connection direct to the server.
`void` `setIfxENABLE_HDRSWITCH(boolean hdrFlag)` Sets the value of Informix specific variable ENABLE_HDRSWITCH.
`void` `setIfxENABLE_TYPE_CACHE(boolean enableCacheType)` Sets the value of Informix specific variable ENABLE_CACHE_TYPE.
`void` `setIfxFET_BUF_SIZE(int fetbufsize)` Sets the value of Informix specific variable FET_BUF_SIZE.
`void` `setIfxGL_DATE(java.lang.String gldate)` Sets the value of Informix specific variable GL_DATE.
`void` `setIfxGL_DATETIME(java.lang.String gldatetime)` Sets the value of Informix specific variable GL_DATETIME.
`void` `setIfxIFX_AUTOFREE(boolean ifx_autofree)` Sets the value of Informix specific variable IFXAUTOFREE.
`void` `setIfxIFX_BATCHUPDATE_PER_SPEC(int bBatchUpdateFlag)` Sets the value of Informix specific variable IFX_BATCHUPDATE_PER_SPEC.
`void` `setIfxIFX_CODESETLOB(int codesetlobFlag)` Sets the value of Informix specific variable IFX_CODESETLOB.
`void` `setIfxIFX_DIRECTIVES(java.lang.String ifxdirectvs)` Sets the value of Informix specific variable IFX_DIRECTIVES.
`void` `setIfxIFX_EXTDIRECTIVES(java.lang.String ifxextdirectvs)` Sets the value of Informix specific variable IFX_EXTDIRECTIVES.
`void` `setIfxIFX_FLAT_UCSQ(int ifx_flat_ucsq)` Sets the value of Informix specific variable IFX_FLAT_UCSQ.
`void` `setIfxIFX_GET_SMFLOAT_AS_FLOAT(int mapFloat)` Sets the value of Informix specific variable IFX_GET_SMFLOAT_AS_FLOAT.
`void` `setIfxIFX_ISOLATION_LEVEL(java.lang.String iso_level)` Sets the value of Informix specific variable IFX_ISOLATION_LEVEL.
`void` `setIfxIFX_LO_READONLY(int loreadonly)` Sets the value of Informix specific variable IFX_LO_READONLY.
`void` `setIfxIFX_LOCK_MODE_WAIT(int lockMode)` Sets the value of Informix specific variable IFX_LOCK_MODE_WAIT.
`void` `setIfxIFX_PAD_VARCHAR(java.lang.String pad_varchar)` Sets the value of Informix specific variable IFX_PAD_VARCHAR
`void` `setIfxIFX_SET_FLOAT_AS_SMFLOAT(int mapFloat)` Sets the value of Informix specific variable IFX_SET_FLOAT_AS_SMFLOAT.
`void` `setIfxIFX_SOC_KEEPALIVE(boolean keepalive)`
`void` `setIfxIFX_SOC_TIMEOUT(int milliseconds)`
`void` `setIfxIFX_TRIMTRAILINGSPACES(int ifx_trimtrailingspaces)` Sets the value of Informix specific variable IFX_TRIMTRAILINGSPACES.
`void` `setIfxIFX_USE_STRENC(boolean encoption)`
`void` `setIfxIFX_USEPUT(boolean ifx_useput)` Sets the value of Informix specific variable IFX_USEPUT.
`void` `setIfxIFXHOST_SECONDARY(java.lang.String addr)` Sets the value of Informix specific variable IFXHOST_SECONDARY.
`void` `setIfxIFXHOST(java.lang.String addr)` Sets the value of Informix specific variable IFXHOST.
`void` `setIfxINFORMIXCONRETRY(int ifx_con_retry)` Sets the value of Informix specific variable INFORMIXCONRETRY.
`void` `setIfxINFORMIXCONTIME(int contime)` Sets the value of Informix specific variable INFORMIXCONTIME.
`void` `setIfxINFORMIXOPCACHE(java.lang.String ifxopcache)` Sets the value of Informix specific variable INFORMIXOPCACHE.
`void` `setIfxINFORMIXSERVER_SECONDARY(java.lang.String servername)` Sets the value of Informix specific variable INFORMIXSERVER_SECONDARY.
`void` `setIfxINFORMIXSTACKSIZE(int informixstacksize)` Sets the value of Informix specific variable INFORMIXSTACKSIZE.
`void` `setIfxJDBCTEMP(java.lang.String jdbctemp)` Sets the value of Informix specific variable JDBCTEMP.
`void` `setIfxLOBCACHE(int lobCacheSize)` Sets the value of Informix specific variable LOBCACHE.
`void` `setIfxNEWCODESET(java.lang.String newcodeset)` Sets the value of Informix specific variable NEWCODESET.
`void` `setIfxNEWLOCALE(java.lang.String newlocale)` Sets the value of Informix specific variable NEWLOCALE.
`void` `setIfxNEWNLSMAP(java.lang.String nlsmap)` Sets the value of Informix specific variable NEWNLSMAP.
`void` `setIfxNODEFDAC(java.lang.String defdac)` Sets the value of Informix specific variable NODEFDAC.
`void` `setIfxOPT_GOAL(java.lang.String opt_goal)` Sets the value of Informix specific variable OPT_GOAL.
`void` `setIfxOPTCOMPIND(java.lang.String optcompind)` Sets the value of Informix specific variable OPTCOMPIND.
`void` `setIfxOPTOFC(java.lang.String optofc)` Sets the value of Informix specific variable OPTOFC.
`void` `setIfxPATH(java.lang.String path)` Sets the value of Informix specific variable PATH.
`void` `setIfxPDQPRIORITY(java.lang.String pqqpriority)` Sets the value of Informix specific variable PDQPRIORITY.
`void` `setIfxPLCONFIG(java.lang.String plconfig)` Sets the value of Informix specific variable PLCONFIG.
`void` `setIfxPLOAD_LO_PATH(java.lang.String ploadlopath)` Sets the value of Informix specific variable PLOAD_LO_PATH.
`void` `setIfxPORTNO_SECONDARY(int portNo)` Sets the value of Informix specific variable PORTNO_SEONDARY.
`void` `setIfxPROTOCOLTRACE(int pLevel)` Sets the value of Informix specific variable PROTOCOLTRACE.
`void` `setIfxPROTOCOLTRACEFILE(java.lang.String fname)` Sets the value of Informix specific variable PROTOCOLTRACEFILE.
`void` `setIfxPROXY(java.lang.String proxy)` Sets the value of Informix specific variable PROXY.
`void` `setIfxPSORT_DBTEMP(java.lang.String psortdbtemp)` Sets the value of Informix specific variable PSORT_DBTEMP.
`void` `setIfxPSORT_NPROCS(java.lang.String psortnprocs)` Sets the value of Informix specific variable PSORT_NPROCS.
`void` `setIfxSECURITY(java.lang.String security)` Sets the value of Informix specific variable SECURITY.
`void` `setIfxSQLH_FILE(java.lang.String sqlHFile)` Sets the value of Informix specific variable SQLH_FILE.
`void` `setIfxSQLH_LOC(java.lang.String sqlhloc)` Sets the value of Informix specific variable SQLH_LOC.
`void` `setIfxSQLH_TYPE(java.lang.String sqlHType)` Sets the value of Informix specific variable SQLH_TYPE.
`void` `setIfxSQLIDEBUG(java.lang.String fname)` Sets the value of Informix specific variable SQLIDEBUG.
`void` `setIfxSSL_PROTOCOLS(java.lang.String protocols)` Sets the preferred list of protocols the driver will use Provided protocols must be available in the underlying JRE the driver is executed with Provide a single protocol or a comma separated list of protocols
`void` `setIfxSSLCONNECTION(java.lang.String ssl_connection)` Sets the value of Informix specific variable SSLCONNECTION.
`void` `setIfxSTMT_CACHE(java.lang.String stmt_cache)` Sets the value of Informix specific variable STMT_CACHE.
`void` `setIfxTRACE(int tLevel)` Sets the value of Informix specific variable TRACE.
`void` `setIfxTRACEFILE(java.lang.String fname)` Sets the value of Informix specific variable TRACEFILE.
`void` `setIfxTRUSTED_CONTEXT(java.lang.String trustedContext)` Sets the value of Informix specific variable TRUSTED_CONTEXT.
`void` `setIfxUSE_DTENV(boolean use_dtenv)` Sets the value of Informix specific variable USE_DTENV.
`void` `setIfxUSEV5SERVER(boolean useV5server)` Sets the value of Informix specific variable USEV5SERVER.
`void` `setLoginTimeout(int seconds)` Sets the login time out.
`void` `setLogWriter(java.io.PrintWriter out)` Sets the logwriter for the DataSource.
`void` `setPassword(java.lang.String passwd)` sets the password to be used to connect to the database.
`void` `setPortNumber(int portNo)` Sets the port number to be used to connect to the database.
`void` `setRoleName(java.lang.String roleNm)` Sets the role name for the DataSource.
`void` `setServerName(java.lang.String ServerNm)` Sets the name of the server instance.
`void` `setUser(java.lang.String iuser)` Sets the user id to be used to connect with this DataSource.
`java.lang.String` `toString()`
`void` `writeProperties(java.io.OutputStream out)` Writes the properties of the DataSource to an outputstream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### defProp

    protected static java.util.Properties defProp

### Constructor Detail

#### IfxCoreDataSource

    public IfxCoreDataSource()

Constructor allocates an empty (i.e., no properties set) IfxCoreDataSource object.

### Method Detail

#### getLoginTimeout

    public int getLoginTimeout()

Get the login timeout.

Returns:
  the current timeout value.

#### setLoginTimeout

    public void setLoginTimeout(int seconds)

Sets the login time out.

Parameters:
  `seconds` - the timeout value.

#### getIfxAPPENDISAM

    public java.lang.String getIfxAPPENDISAM()

Gets the value of Informix specific variable APPENDISAM

Returns:
  the APPENDISAM type setting.

#### setIfxAPPENDISAM

    public void setIfxAPPENDISAM(java.lang.String toSet)

Sets the value of Informix specific variable APPENDISAM

Parameters:
  `toSet` - the value for APPENDISAM.

#### getLogWriter

    public java.io.PrintWriter getLogWriter()

Gets the logwriter for the DataSource.

Returns:
  the logwriter object.

#### setLogWriter

    public void setLogWriter(java.io.PrintWriter out)

Sets the logwriter for the DataSource.

Parameters:
  `out` - the logwriter.

#### getDsProperties

    public java.util.Properties getDsProperties()

Returns the Properties objects in the CoreDataSource.

Returns:
  the properties object containing all properties set for the DataSource.

#### addProp

    public void addProp(java.lang.String key,
                        java.lang.Object value)

Adds a property to the property list.

Parameters:
  `key` - the key for this property.
  `value` - the value for this property.

#### getProp

    public java.lang.Object getProp(java.lang.String key)

Get the value of a property from the property list.

Parameters:
  `key` - the key of the property that is to be retrieved.
Returns:
  the value of the property.

#### writeProperties

    public void writeProperties(java.io.OutputStream out)
                         throws java.io.IOException

Writes the properties of the DataSource to an outputstream.

Parameters:
  `out` - the stream to which the properties are to be written.
Throws:
  `java.io.IOException` - when an I/O error is encountered while writing to the output stream.

#### readProperties

    public void readProperties(java.io.InputStream in)
                        throws java.io.IOException

Reads the properties from an input stream

Parameters:
  `in` - the inputstream from which the properties are to be read.
Throws:
  `java.io.IOException` - when an I/O error is encountered while reading from the input stream.

#### getDatabaseName

    public java.lang.String getDatabaseName()

Gets the database name set for the DataSource.

Returns:
  the database name.

#### setDatabaseName

    public void setDatabaseName(java.lang.String dbName)

Sets the database name.

Parameters:
  `dbName` - the name of the database.

#### getDataSourceName

    public java.lang.String getDataSourceName()

Gets the DataSource name.

Returns:
  the name.

#### setDataSourceName

    public void setDataSourceName(java.lang.String dsName)

Sets the DataSource name.

Parameters:
  `dsName` - the name.

#### getDescription

    public java.lang.String getDescription()

Gets the description of the DataSource.

Returns:
  the description.

#### setDescription

    public void setDescription(java.lang.String descrip)

Sets the description of the DataSource.

Parameters:
  `descrip` - the description of the DataSource.

#### getPassword

    public java.lang.String getPassword()

Gets the password for the DataSource.

Returns:
  the password.

#### setPassword

    public void setPassword(java.lang.String passwd)

sets the password to be used to connect to the database.

Parameters:
  `passwd` - the password.

#### getPortNumber

    public int getPortNumber()

Gets the port number for the DataSource.

Returns:
  the port number.

#### setPortNumber

    public void setPortNumber(int portNo)

Sets the port number to be used to connect to the database.

Parameters:
  `portNo` - the port number

#### getRoleName

    public java.lang.String getRoleName()

Gets the role name.

Returns:
  the role name.

#### setRoleName

    public void setRoleName(java.lang.String roleNm)

Sets the role name for the DataSource.

Parameters:
  `roleNm` - the role name.

#### getServerName

    public java.lang.String getServerName()

Gets the server name.

Returns:
  the name of the Informix server

#### setServerName

    public void setServerName(java.lang.String ServerNm)

Sets the name of the server instance.

Parameters:
  `ServerNm,` - the server name.

#### getIfxTRUSTED_CONTEXT

    public java.lang.String getIfxTRUSTED_CONTEXT()

Gets the value of Informix specific variable TRUSTED_CONTEXT

Returns:
  the trustedContext type setting.

#### setIfxTRUSTED_CONTEXT

    public void setIfxTRUSTED_CONTEXT(java.lang.String trustedContext)

Sets the value of Informix specific variable TRUSTED_CONTEXT.

Parameters:
  `trustedContext` - the value for TRUSTED_CONTEXT.

#### setIfxDirectConnection

    public void setIfxDirectConnection()

Makes this connection direct to the server.

#### getUser

    public java.lang.String getUser()

Gets the user id.

Returns:
  the user id.

#### setUser

    public void setUser(java.lang.String iuser)

Sets the user id to be used to connect with this DataSource.

Parameters:
  `iuser` - the user id.

#### setIfxPORTNO_SECONDARY

    public void setIfxPORTNO_SECONDARY(int portNo)

Sets the value of Informix specific variable PORTNO_SEONDARY.

Parameters:
  `portno` - the port number of the host on which the secondary in HDR server is running.

#### getIfxPORTNO_SECONDARY

    public int getIfxPORTNO_SECONDARY()

Gets the value of Informix specific variable IFXPORTNO_SECONDARY.

Returns:
  the port number.

#### setIfxIFXHOST_SECONDARY

    public void setIfxIFXHOST_SECONDARY(java.lang.String addr)

Sets the value of Informix specific variable IFXHOST_SECONDARY.

Parameters:
  `addr` - the address or name of the host on which the secondary in HDR server is running.

#### getIfxIFXHOST_SECONDARY

    public java.lang.String getIfxIFXHOST_SECONDARY()

Gets the value of Informix specific variable IFXHOST_SECONDARY.

Returns:
  the host name.

#### setIfxINFORMIXSERVER_SECONDARY

    public void setIfxINFORMIXSERVER_SECONDARY(java.lang.String servername)

Sets the value of Informix specific variable INFORMIXSERVER_SECONDARY.

Parameters:
  `servername` - the name of the secondary informix server in HDR server is running.

#### getIfxINFORMIXSERVER_SECONDARY

    public java.lang.String getIfxINFORMIXSERVER_SECONDARY()

Gets the value of Informix specific variable INFORMIXSERVER_SECONDARY.

Returns:
  the host name.

#### setIfxENABLE_HDRSWITCH

    public void setIfxENABLE_HDRSWITCH(boolean hdrFlag)

Sets the value of Informix specific variable ENABLE_HDRSWITCH.

Parameters:
  `hdrFlag` - the flag to enable switching between HDR server ON

#### getIfxENABLE_HDRSWITCH

    public boolean getIfxENABLE_HDRSWITCH()

Gets the value of Informix specific variable ENABLE_HDRSWITCH.

Returns:
  the ENABLE_HDRSWITCH value.

#### getIfxIFXHOST

    public java.lang.String getIfxIFXHOST()

Gets the value of Informix specific variable IFXHOST.

Returns:
  the host name.

#### setIfxIFXHOST

    public void setIfxIFXHOST(java.lang.String addr)

Sets the value of Informix specific variable IFXHOST.

Parameters:
  `addr` - the address or name of the host on which the server is running.

#### getIfxJDBCTEMP

    public java.lang.String getIfxJDBCTEMP()

Gets the value of Informix specific variable JDBCTEMP.

Returns:
  the directory.

#### setIfxJDBCTEMP

    public void setIfxJDBCTEMP(java.lang.String jdbctemp)

Sets the value of Informix specific variable JDBCTEMP.

Parameters:
  `jdbctemp` - the value for JDBCTEMP.

#### getIfxSECURITY

    public java.lang.String getIfxSECURITY()

Gets the value of Informix specific variable SECURITY.

Returns:
  the security setting.

#### getIfxCSM

    public java.lang.String getIfxCSM()

Gets the value of Informix specific variable CSM.

Returns:
  the CSM set

#### setIfxSECURITY

    public void setIfxSECURITY(java.lang.String security)

Sets the value of Informix specific variable SECURITY.

Parameters:
  `security` - the value for SECURITY.

#### setIfxCSM

    public void setIfxCSM(java.lang.String csm)

Sets the value of Informix specific variable CSM.

Parameters:
  `security` - the value for CSM.

#### getIfxPROXY

    public java.lang.String getIfxPROXY()

Gets the value of Informix specific variable PROXY.

Returns:
  the proxy server.

#### setIfxPROXY

    public void setIfxPROXY(java.lang.String proxy)

Sets the value of Informix specific variable PROXY.

Parameters:
  `proxy` - the proxy server.

#### isIfxENABLE_TYPE_CACHE

    public boolean isIfxENABLE_TYPE_CACHE()

Gets the value of Informix specific variable ENABLE_TYPE_CACHE.

Returns:
  the type cache setting.

#### setIfxENABLE_TYPE_CACHE

    public void setIfxENABLE_TYPE_CACHE(boolean enableCacheType)

Sets the value of Informix specific variable ENABLE_CACHE_TYPE.

Parameters:
  `enableCacheType` - the value for ENABLE_CACHE_TYPE

#### getIfxSQLH_TYPE

    public java.lang.String getIfxSQLH_TYPE()

Gets the value of Informix specific variable SQLH_TYPE.

Returns:
  the sqlhost type setting.

#### setIfxSQLH_TYPE

    public void setIfxSQLH_TYPE(java.lang.String sqlHType)

Sets the value of Informix specific variable SQLH_TYPE.

Parameters:
  `sqlHType` - the value for SQLH_TYPE.

#### getIfxSSLCONNECTION

    public java.lang.String getIfxSSLCONNECTION()

Gets the value of Informix specific variable SSLCONNECTION.

Returns:
  the ssl_connection type setting.

#### setIfxSSLCONNECTION

    public void setIfxSSLCONNECTION(java.lang.String ssl_connection)

Sets the value of Informix specific variable SSLCONNECTION.

Parameters:
  `ssl_connection` - the value for SSLCONNECTION.

#### getIfxSSL_PROTOCOLS

    public java.lang.String getIfxSSL_PROTOCOLS()

Returns the list of user provided protocols

Returns:
  Comma separated list of protocols or NULL if none were set by the user

#### setIfxSSL_PROTOCOLS

    public void setIfxSSL_PROTOCOLS(java.lang.String protocols)

Sets the preferred list of protocols the driver will use Provided protocols must be available in the underlying JRE the driver is executed with Provide a single protocol or a comma separated list of protocols

Parameters:
  `protocols` - One or more SSL protocols to use

#### getIfxSQLH_FILE

    public java.lang.String getIfxSQLH_FILE()

Gets the value of Informix specific variable SQLH_FILE.

Returns:
  the sqlhost file.

#### setIfxSQLH_FILE

    public void setIfxSQLH_FILE(java.lang.String sqlHFile)

Sets the value of Informix specific variable SQLH_FILE.

Parameters:
  `sqlHFile` - the value for SQLH_FILE.

#### getIfxSQLH_LOC

    public java.lang.String getIfxSQLH_LOC()

Gets the value of Informix specific variable SQLH_LOC.

Returns:
  the SQLH_LOC value.

#### setIfxSQLH_LOC

    public void setIfxSQLH_LOC(java.lang.String sqlhloc)

Sets the value of Informix specific variable SQLH_LOC.

Parameters:
  `sqlhloc` - the value of SQLH_LOC.

#### getIfxFET_BUF_SIZE

    public int getIfxFET_BUF_SIZE()

Gets the value of Informix specific variable FET_BUF_SIZE

Returns:
  the FET_BUF_SIZE value.

#### setIfxFET_BUF_SIZE

    public void setIfxFET_BUF_SIZE(int fetbufsize)

Sets the value of Informix specific variable FET_BUF_SIZE.

Parameters:
  `fetbufsize` - the value of FET_BUF_SIZE.

#### getIfxBIG_FET_BUF_SIZE

    public int getIfxBIG_FET_BUF_SIZE()

Gets the value of Informix specific variable BIG_FET_BUF_SIZE

Returns:
  the BIG_FET_BUF_SIZE value.

#### setIfxBIG_FET_BUF_SIZE

    public void setIfxBIG_FET_BUF_SIZE(int fetbufsize)

Sets the value of Informix specific variable BIG_FET_BUF_SIZE.

Parameters:
  `fetbufsize` - the value of BIG_FET_BUF_SIZE.

#### isIfxUSEV5SERVER

    public boolean isIfxUSEV5SERVER()

Gets the value of Informix specific variable USEV5SERVER.

Returns:
  the USEV5SERVER value.

#### setIfxUSEV5SERVER

    public void setIfxUSEV5SERVER(boolean useV5server)

Sets the value of Informix specific variable USEV5SERVER.

Parameters:
  `useV5server` - are we talking to a version 5 server.

#### getIfxLOBCACHE

    public int getIfxLOBCACHE()

Gets the value of Informix specific variable LOBCACHE.

Returns:
  the LOBCACHE value.

#### setIfxLOBCACHE

    public void setIfxLOBCACHE(int lobCacheSize)

Sets the value of Informix specific variable LOBCACHE.

Parameters:
  `lobCacheSize` - the size of LOBCACHE.

#### isIfxIFX_USEPUT

    public boolean isIfxIFX_USEPUT()

Gets the value of Informix specific variable IFX_USEPUT.

Returns:
  the IFX_USEPUT value.

#### setIfxIFX_USEPUT

    public void setIfxIFX_USEPUT(boolean ifx_useput)

Sets the value of Informix specific variable IFX_USEPUT.

Parameters:
  `ifx_autofree` - the value for IFX_USEPUT.

#### isIfxIFX_AUTOFREE

    public boolean isIfxIFX_AUTOFREE()

Gets the value of Informix specific variable IFX_AUTOFREE.

Returns:
  the IFX_AUTOFREE value.

#### setIfxIFX_AUTOFREE

    public void setIfxIFX_AUTOFREE(boolean ifx_autofree)

Sets the value of Informix specific variable IFXAUTOFREE.

Parameters:
  `ifx_autofree` - the value for IFXAUTOFREE.

#### isIfxDELIMIDENT

    public boolean isIfxDELIMIDENT()

Gets the value of Informix specific variable DELIMIDENT.

Returns:
  the DELIMIDENT value.

#### setIfxDELIMIDENT

    public void setIfxDELIMIDENT(boolean delimident)

Sets the value of Informix specific variable DELIMIDENT.

Parameters:
  `delimdent` - the value of DELIMIDENT.

#### getIfxINFORMIXSTACKSIZE

    public int getIfxINFORMIXSTACKSIZE()

Gets the value of Informix specific variable INFORMIXSTACKSIZE.

Returns:
  the current INFORMIXSTACKSIZE value.

#### setIfxINFORMIXSTACKSIZE

    public void setIfxINFORMIXSTACKSIZE(int informixstacksize)

Sets the value of Informix specific variable INFORMIXSTACKSIZE.

Parameters:
  `informixstacksize` - the value of INFORMIXSTACKSIZE.

#### getIfxDBSPACETEMP

    public java.lang.String getIfxDBSPACETEMP()

Gets the value of Informix specific variable DBSPACETEMP.

Returns:
  the current DBSPACETEMP value.

#### setIfxDBSPACETEMP

    public void setIfxDBSPACETEMP(java.lang.String dbspacetemp)

Sets the value of Informix specific variable DBSPACETEMP.

Parameters:
  `dbspacetemp` - the value of DBSPACETEMP.

#### getIfxDB_LOCALE

    public java.lang.String getIfxDB_LOCALE()

Gets the value of Informix specific variable DBLOCALE.

Returns:
  the current DBLOCALE value.

#### setIfxDB_LOCALE

    public void setIfxDB_LOCALE(java.lang.String dblocale)

Sets the value of Informix specific variable DBLOCALE.

Parameters:
  `dblocale` - the value of DB_LOCALE.

#### getIfxCLIENT_LOCALE

    public java.lang.String getIfxCLIENT_LOCALE()

Gets the value of Informix specific variable CLIENT_LOCALE.

Returns:
  the current CLIENT_LOCALE value.

#### setIfxCLIENT_LOCALE

    public void setIfxCLIENT_LOCALE(java.lang.String client_locale)

Sets the value of Informix specific variable CLIENT_LOCALE.

Parameters:
  `client_locale` - the value of CLIENT_LOCALE.

#### getIfxNEWLOCALE

    public java.lang.String getIfxNEWLOCALE()

Gets the value of Informix specific variable NEWLOCALE.

Returns:
  the current NEWLOCALE value.

#### getIfxNEWNLSMAP

    public java.lang.String getIfxNEWNLSMAP()

Gets the value of Informix specific variable NEWNLSMAP.

Returns:
  the current NEWNLSMAP value.

#### setIfxNEWLOCALE

    public void setIfxNEWLOCALE(java.lang.String newlocale)

Sets the value of Informix specific variable NEWLOCALE.

Parameters:
  `client_locale` - the value of NEWLOCALE.

#### setIfxNEWNLSMAP

    public void setIfxNEWNLSMAP(java.lang.String nlsmap)

Sets the value of Informix specific variable NEWNLSMAP.

Parameters:
  `value` - of NEWNLSMAP.

#### getIfxNEWCODESET

    public java.lang.String getIfxNEWCODESET()

Gets the value of Informix specific variable NEWCODESET.

Returns:
  the current NEWCODESET value.

#### setIfxNEWCODESET

    public void setIfxNEWCODESET(java.lang.String newcodeset)

Sets the value of Informix specific variable NEWCODESET.

Parameters:
  `client_locale` - the value of NEWCODESET.

#### getIfxDBDATE

    public java.lang.String getIfxDBDATE()

Gets the value of Informix specific variable DBDATE.

Returns:
  the current DBDATE value.

#### setIfxDBDATE

    public void setIfxDBDATE(java.lang.String dbdate)

Sets the value of Informix specific variable DBDATE.

Parameters:
  `dbdate` - the value of DBDATE.

#### getIfxGL_DATE

    public java.lang.String getIfxGL_DATE()

Gets the value of Informix specific variable GL_DATE.

Returns:
  the current GL_DATE value.

#### setIfxGL_DATE

    public void setIfxGL_DATE(java.lang.String gldate)

Sets the value of Informix specific variable GL_DATE.

Parameters:
  `gldate` - the value of GL_DATE.

#### getIfxDBTIME

    public java.lang.String getIfxDBTIME()

Gets the value of Informix specific variable DBTIME.

Returns:
  the current DBTIME value.

#### setIfxDBTIME

    public void setIfxDBTIME(java.lang.String dbtime)

Sets the value of Informix specific variable DBTIME.

Parameters:
  `dbtime` - the value of DBTIME.

#### getIfxGL_DATETIME

    public java.lang.String getIfxGL_DATETIME()

Gets the value of Informix specific variable GL_DATETIME.

Returns:
  the current GL_DATETIME value.

#### setIfxGL_DATETIME

    public void setIfxGL_DATETIME(java.lang.String gldatetime)

Sets the value of Informix specific variable GL_DATETIME.

Parameters:
  `gldatetime` - the value of GL_DATETIME.

#### isIfxUSE_DTENV

    public boolean isIfxUSE_DTENV()

Gets the value of Informix specific variable USE_DTENV.

Returns:
  the current USE_DTENV value.

#### setIfxUSE_DTENV

    public void setIfxUSE_DTENV(boolean use_dtenv)

Sets the value of Informix specific variable USE_DTENV.

Parameters:
  `use_dtenv` - the value of USE_DTENV.

#### getIfxDBCENTURY

    public java.lang.String getIfxDBCENTURY()

Gets the value of Informix specific variable DBCENTURY.

Returns:
  the current DBCENTURY value.

#### setIfxDBCENTURY

    public void setIfxDBCENTURY(java.lang.String dbcentury)

Sets the value of Informix specific variable DBCENTURY.

Parameters:
  `dbcentury` - the value of DBCENTURY.

#### getIfxSTMT_CACHE

    public java.lang.String getIfxSTMT_CACHE()

Gets the value of Informix specific variable STMT_CACHE.

Returns:
  the current STMT_CACHE value.

#### setIfxSTMT_CACHE

    public void setIfxSTMT_CACHE(java.lang.String stmt_cache)

Sets the value of Informix specific variable STMT_CACHE.

Parameters:
  `stmt_cache` - the value of STMT_CACHE.

#### getIfxNODEFDAC

    public java.lang.String getIfxNODEFDAC()

Gets the value of Informix specific variable NODEFDAC.

Returns:
  the current NODEFDAC value.

#### setIfxNODEFDAC

    public void setIfxNODEFDAC(java.lang.String defdac)

Sets the value of Informix specific variable NODEFDAC.

Parameters:
  `defdac` - the value of NODEFDAC.

#### getIfxDBTEMP

    public java.lang.String getIfxDBTEMP()

Gets the value of Informix specific variable DBTEMP.

Returns:
  the current DBTEMP value.

#### setIfxDBTEMP

    public void setIfxDBTEMP(java.lang.String dbtemp)

Sets the value of Informix specific variable DBTEMP.

Parameters:
  `dbtemp` - the value of DBTEMP.

#### getIfxPSORT_DBTEMP

    public java.lang.String getIfxPSORT_DBTEMP()

Gets the value of Informix specific variable PSORT_DBTEMP.

Returns:
  the current PSORT_DBTEMP value.

#### setIfxPSORT_DBTEMP

    public void setIfxPSORT_DBTEMP(java.lang.String psortdbtemp)

Sets the value of Informix specific variable PSORT_DBTEMP.

Parameters:
  `psortdbtemp` - the value of PSORT_DBTEMP.

#### getIfxPSORT_NPROCS

    public java.lang.String getIfxPSORT_NPROCS()

Gets the value of Informix specific variable PSORT_NPROCS.

Returns:
  the current PSORT_NPROCS value.

#### setIfxPSORT_NPROCS

    public void setIfxPSORT_NPROCS(java.lang.String psortnprocs)

Sets the value of Informix specific variable PSORT_NPROCS.

Parameters:
  `psortnprocs` - the value of PSORT_NPROCS.

#### getIfxDBUPSPACE

    public java.lang.String getIfxDBUPSPACE()

Gets the value of Informix specific variable DBUPSPACE.

Returns:
  the current DBUPSPACE value.

#### setIfxDBUPSPACE

    public void setIfxDBUPSPACE(java.lang.String dbupspace)

Sets the value of Informix specific variable DBUPSPACE.

Parameters:
  `dbupspace` - the value of DBUPSPACE.

#### getIfxPDQPRIORITY

    public java.lang.String getIfxPDQPRIORITY()

Gets the value of Informix specific variable PDQPRIORITY.

Returns:
  the current PDQPRIORITY value.

#### setIfxPDQPRIORITY

    public void setIfxPDQPRIORITY(java.lang.String pqqpriority)

Sets the value of Informix specific variable PDQPRIORITY.

Parameters:
  `pdqpriority` - the value of PDQPRIORITY.

#### getIfxIFX_DIRECTIVES

    public java.lang.String getIfxIFX_DIRECTIVES()

Gets the value of Informix specific variable IFX_DIRECTIVES.

Returns:
  the current IFX_DIRECTIVES value.

#### setIfxIFX_DIRECTIVES

    public void setIfxIFX_DIRECTIVES(java.lang.String ifxdirectvs)

Sets the value of Informix specific variable IFX_DIRECTIVES.

Parameters:
  `ifxdirectvs` - the value of IFX_DIRECTIVES.

#### getIfxIFX_EXTDIRECTIVES

    public java.lang.String getIfxIFX_EXTDIRECTIVES()

Gets the value of Informix specific variable IFX_EXTDIRECTIVES.

Returns:
  the current IFX_EXTDIRECTIVES value.

#### setIfxIFX_EXTDIRECTIVES

    public void setIfxIFX_EXTDIRECTIVES(java.lang.String ifxextdirectvs)

Sets the value of Informix specific variable IFX_EXTDIRECTIVES.

Parameters:
  `ifxextdirectvs` - the value of IFX_EXTDIRECTIVES.

#### getIfxOPTCOMPIND

    public java.lang.String getIfxOPTCOMPIND()

Gets the value of Informix specific variable OPTCOMPIND.

Returns:
  the current OPTCOMPIND value.

#### setIfxOPTCOMPIND

    public void setIfxOPTCOMPIND(java.lang.String optcompind)

Sets the value of Informix specific variable OPTCOMPIND.

Parameters:
  `optcompind` - the value of OPTCOMPIND.

#### getIfxINFORMIXCONRETRY

    public int getIfxINFORMIXCONRETRY()

Gets the value of Informix specific variable INFORMIXCONRETRY.

Returns:
  the current INFORMIXCONRETRY value.

#### setIfxINFORMIXCONRETRY

    public void setIfxINFORMIXCONRETRY(int ifx_con_retry)

Sets the value of Informix specific variable INFORMIXCONRETRY.

Parameters:
  `ifx_con_retry` - the value of INFORMIXCONRETRY.

#### getIfxINFORMIXCONTIME

    public int getIfxINFORMIXCONTIME()

Gets the value of Informix specific variable INFORMIXCONTIME.

Returns:
  the current INFORMIXCONTIME value.

#### setIfxINFORMIXCONTIME

    public void setIfxINFORMIXCONTIME(int contime)

Sets the value of Informix specific variable INFORMIXCONTIME.

Parameters:
  `contime` - the value of INFORMIXCONTIME.

#### getIfxINFORMIXOPCACHE

    public java.lang.String getIfxINFORMIXOPCACHE()

Gets the value of Informix specific variable INFORMIXOPCACHE.

Returns:
  the current INFORMIXOPCACHE value.

#### setIfxINFORMIXOPCACHE

    public void setIfxINFORMIXOPCACHE(java.lang.String ifxopcache)

Sets the value of Informix specific variable INFORMIXOPCACHE.

Parameters:
  `ifxopcache` - the value of INFORMIXOPCACHE.

#### getIfxPLCONFIG

    public java.lang.String getIfxPLCONFIG()

Gets the value of Informix specific variable PLCONFIG.

Returns:
  the current PLCONFIG value.

#### setIfxPLCONFIG

    public void setIfxPLCONFIG(java.lang.String plconfig)

Sets the value of Informix specific variable PLCONFIG.

Parameters:
  `plconfig` - the value of PLCONFIG.

#### getIfxPATH

    public java.lang.String getIfxPATH()

Gets the value of Informix specific variable PATH.

Returns:
  the current PATH value.

#### setIfxPATH

    public void setIfxPATH(java.lang.String path)

Sets the value of Informix specific variable PATH.

Parameters:
  `path` - the value of PATH.

#### getIfxPLOAD_LO_PATH

    public java.lang.String getIfxPLOAD_LO_PATH()

Gets the value of Informix specific variable PLOAD_LO_PATH.

Returns:
  the current PLOAD_LO_PATH value.

#### setIfxPLOAD_LO_PATH

    public void setIfxPLOAD_LO_PATH(java.lang.String ploadlopath)

Sets the value of Informix specific variable PLOAD_LO_PATH.

Parameters:
  `ploadlopath` - the value of PLOAD_LO_PATH.

#### getIfxOPT_GOAL

    public java.lang.String getIfxOPT_GOAL()

Gets the value of Informix specific variable OPT_GOAL.

Returns:
  the current OPT_GOAL value.

#### setIfxOPT_GOAL

    public void setIfxOPT_GOAL(java.lang.String opt_goal)

Sets the value of Informix specific variable OPT_GOAL.

Parameters:
  `opt_goal` - the value of OPT_GOAL.

#### getIfxOPTOFC

    public java.lang.String getIfxOPTOFC()

Gets the value of Informix specific variable OPTOFC.

Returns:
  the current OPTOFC value.

#### setIfxOPTOFC

    public void setIfxOPTOFC(java.lang.String optofc)

Sets the value of Informix specific variable OPTOFC. *

Parameters:
  `optofc` - the value of OPTOFC.

#### isIfxOPTOFC

    public boolean isIfxOPTOFC()

returns true if OPTOFC=1, false otherwise.

Returns:

#### isIfxDBANSIWARN

    public boolean isIfxDBANSIWARN()

Gets the value of Informix specific variable DBANSIWARN.

Returns:
  the current DBANSIWARN value.

#### setIfxDBANSIWARN

    public void setIfxDBANSIWARN(boolean dbansiwarn)

Sets the value of Informix specific variable DBANSIWARN.

Parameters:
  `dbansiwarn` - the value of DBANSIWARN.

#### setIfxIFX_GET_SMFLOAT_AS_FLOAT

    public void setIfxIFX_GET_SMFLOAT_AS_FLOAT(int mapFloat)

Sets the value of Informix specific variable IFX_GET_SMFLOAT_AS_FLOAT.

Parameters:
  `mapFloat` - the switch to enable mapping of JDBC FLOAT to Java float

#### getIfxIFX_GET_SMFLOAT_AS_FLOAT

    public int getIfxIFX_GET_SMFLOAT_AS_FLOAT()

Gets the value of Informix specific variable IFX_GET_SMFLOAT_AS_FLOAT.

Returns:
  the current map setting.

#### setIfxIFX_SET_FLOAT_AS_SMFLOAT

    public void setIfxIFX_SET_FLOAT_AS_SMFLOAT(int mapFloat)

Sets the value of Informix specific variable IFX_SET_FLOAT_AS_SMFLOAT.

Parameters:
  `mapFloat` - the switch to enable mapping of Java float to JDBC FLOAT

#### getIfxIFX_SET_FLOAT_AS_SMFLOAT

    public int getIfxIFX_SET_FLOAT_AS_SMFLOAT()

Gets the value of Informix specific variable IFX_SET_FLOAT_AS_SMFLOAT.

Returns:
  the current map setting.

#### setIfxIFX_CODESETLOB

    public void setIfxIFX_CODESETLOB(int codesetlobFlag)

Sets the value of Informix specific variable IFX_CODESETLOB.

Parameters:
  `codesetlobFlag` - if set, will enable codeset conversion of large objects.

#### getIfxIFX_CODESETLOB

    public int getIfxIFX_CODESETLOB()

Gets the value of Informix specific variable IFX_CODESETLOB.

Returns:
  the current setting.

#### setIfxIFX_BATCHUPDATE_PER_SPEC

    public void setIfxIFX_BATCHUPDATE_PER_SPEC(int bBatchUpdateFlag)

Sets the value of Informix specific variable IFX_BATCHUPDATE_PER_SPEC.

Parameters:
  `bBatchUpdateFlag` - if set to 1, will enable batch update as per JDBC specs

#### getIfxIFX_BATCHUPDATE_PER_SPEC

    public int getIfxIFX_BATCHUPDATE_PER_SPEC()

Gets the value of Informix specific variable IFX_BATCHUPDATE_PER_SPEC.

Returns:
  the current setting.

#### setIfxIFX_LO_READONLY

    public void setIfxIFX_LO_READONLY(int loreadonly)

Sets the value of Informix specific variable IFX_LO_READONLY.

Parameters:
  `loreadonly` - if set to 1, will open CLOB/BLOB as READONLY

#### getIfxIFX_LO_READONLY

    public int getIfxIFX_LO_READONLY()

Gets the value of Informix specific variable IFX_LO_READONLY.

Returns:
  the current setting.

#### setIfxIFX_LOCK_MODE_WAIT

    public void setIfxIFX_LOCK_MODE_WAIT(int lockMode)

Sets the value of Informix specific variable IFX_LOCK_MODE_WAIT.

Parameters:
  `lockMode` - if set to -1, will set lock mode to NOT WAIT, else wait for locMode seconds

#### getIfxIFX_LOCK_MODE_WAIT

    public int getIfxIFX_LOCK_MODE_WAIT()

Gets the value of Informix specific variable IFX_LOCK_MODE_WAIT.

Returns:
  the current setting.

#### setIfxIFX_ISOLATION_LEVEL

    public void setIfxIFX_ISOLATION_LEVEL(java.lang.String iso_level)

Sets the value of Informix specific variable IFX_ISOLATION_LEVEL.

Parameters:
  `iso_level` - if set to 0 - set isolation to dirty read, 1 - set isolation to committed read, 2 - set isolation to cursor stability, 3 - set isolation to repeatable read, 4 - set isolation to committed read last committed U specifies ' retain update locks' e.g. iso_level = '1U',

#### getIfxIFX_ISOLATION_LEVEL

    public java.lang.String getIfxIFX_ISOLATION_LEVEL()

Gets the value of Informix specific variable IFX_ISOLATION_LEVEL.

Returns:
  the current setting.

#### setIfxIFX_USE_STRENC

    public void setIfxIFX_USE_STRENC(boolean encoption)

#### getIfxIFX_USE_STRENC

    public boolean getIfxIFX_USE_STRENC()

#### setIfxIFX_SOC_TIMEOUT

    public void setIfxIFX_SOC_TIMEOUT(int milliseconds)

#### getIfxIFX_SOC_TIMEOUT

    public int getIfxIFX_SOC_TIMEOUT()

#### setIfxIFX_SOC_KEEPALIVE

    public void setIfxIFX_SOC_KEEPALIVE(boolean keepalive)

#### getIfxIFX_SOC_KEEPALIVE

    public boolean getIfxIFX_SOC_KEEPALIVE()

#### setIfxIFX_PAD_VARCHAR

    public void setIfxIFX_PAD_VARCHAR(java.lang.String pad_varchar)

Sets the value of Informix specific variable IFX_PAD_VARCHAR

Parameters:
  `pad_varchar` - if set to 0 enables variable length transmission of varchars if set to 1 disables variable length transmission of varchars

#### getIfxIFX_PAD_VARCHAR

    public java.lang.String getIfxIFX_PAD_VARCHAR()

Gets the value of Informix specific variable IFX_PAD_VARCHAR.

Returns:
  the current setting.

#### getIfxTRACE

    public int getIfxTRACE()

Gets the value of Informix specific variable TRACE.

Returns:
  the current TRACE value.

#### setIfxTRACE

    public void setIfxTRACE(int tLevel)

Sets the value of Informix specific variable TRACE.

Parameters:
  `tLevel` - the value of TRACE.

#### getIfxPROTOCOLTRACE

    public int getIfxPROTOCOLTRACE()

Gets the value of Informix specific variable PROTOCOLTRACE.

Returns:
  the current PROTOCOLTRACE value.

#### setIfxPROTOCOLTRACE

    public void setIfxPROTOCOLTRACE(int pLevel)

Sets the value of Informix specific variable PROTOCOLTRACE.

Parameters:
  `pLevel` - the value of PROTOCOLTRACE.

#### getIfxTRACEFILE

    public java.lang.String getIfxTRACEFILE()

Gets the value of Informix specific variable TRACEFILE.

Returns:
  the current TRACEFILE value.

#### setIfxTRACEFILE

    public void setIfxTRACEFILE(java.lang.String fname)

Sets the value of Informix specific variable TRACEFILE.

Parameters:
  `fname` - the value of TRACEFILE.

#### getIfxPROTOCOLTRACEFILE

    public java.lang.String getIfxPROTOCOLTRACEFILE()

Gets the value of Informix specific variable PROTOCOLTRACEFILE.

Returns:
  the current PROTOCOLTRACEFILE value.

#### setIfxPROTOCOLTRACEFILE

    public void setIfxPROTOCOLTRACEFILE(java.lang.String fname)

Sets the value of Informix specific variable PROTOCOLTRACEFILE.

Parameters:
  `fname` - the value of PROTOCOLTRACEFILE.

#### getIfxSQLIDEBUG

    public java.lang.String getIfxSQLIDEBUG()

Gets the value of Informix specific variable SQLIDEBUG.

Returns:
  the current SQLIDEBUG value.

#### setIfxSQLIDEBUG

    public void setIfxSQLIDEBUG(java.lang.String fname)

Sets the value of Informix specific variable SQLIDEBUG.

Parameters:
  `fname` - Path for file which will be used to log sqli trace A new trace file is generated for every connection. Provided file name is suffixed with timestamp.

#### setIfxALLOWREGISTEROUTFORINPARAM

    public void setIfxALLOWREGISTEROUTFORINPARAM(java.lang.String ALLOWOUT_Flag)

Sets the value of Informix specific variable ALLOWREGISTEROUTFORINPARAM. ALLOWREGISTEROUTFORINPARAM if set to "y" or "Y" will allow registerOutParam() to be called for IN parameter. PTS 172904, 172867

Parameters:
  `ALLOWREGISTEROUTFORINPARAM_Flag` - if ("y" or "Y") enables this non-JDBC spec behavior otherwise this behavior will be disabled. Default ALLOWREGISTEROUTFORINPARAM is "n"

#### getIfxALLOWREGISTEROUTFORINPARAM

    public java.lang.String getIfxALLOWREGISTEROUTFORINPARAM()

Gets the value of Informix specific variable ALLOWREGISTEROUTFORINPARAM.

Returns:
  the current setting of Datasource property ALLOWREGISTEROUTFORINPARAM (default "n"); Only "y" or "n" are returned.

#### getIfxIFX_TRIMTRAILINGSPACES

    public int getIfxIFX_TRIMTRAILINGSPACES()

Gets the value of Informix specific variable IFX_TRIMTRAILINGSPACES.

Returns:
  the IFX_TRIMTRAILINGSPACES value.

#### setIfxIFX_TRIMTRAILINGSPACES

    public void setIfxIFX_TRIMTRAILINGSPACES(int ifx_trimtrailingspaces)

Sets the value of Informix specific variable IFX_TRIMTRAILINGSPACES.

Parameters:
  `ifx_trimtrailingspaces` - the value for IFX_TRIMTRAILINGSPACES.

#### getIfxIFX_FLAT_UCSQ

    public int getIfxIFX_FLAT_UCSQ()

Gets the value of Informix specific variable IFX_FLAT_UCSQ.

Returns:
  the IFX_FLAT_UCSQ value.

#### setIfxIFX_FLAT_UCSQ

    public void setIfxIFX_FLAT_UCSQ(int ifx_flat_ucsq)

Sets the value of Informix specific variable IFX_FLAT_UCSQ.

Parameters:
  `ifx_flat_ucsq` - the value for IFX_FLAT_UCSQ.

#### removeProperty

    public void removeProperty(java.lang.String key)

Removes the property from the DataSource property list

Parameters:
  `key` - Property to be removed

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`